list(APPEND visual_elements_LIB_INCLUDES
    GeometryElement.cpp
    RectangleElement.cpp
    TextElement.cpp
    VisualLayer.cpp
)

add_library(visual_elements SHARED ${visual_elements_LIB_INCLUDES})

target_include_directories(visual_elements PUBLIC
                          "${PROJECT_SOURCE_DIR}/src/core/"
                          "${PROJECT_SOURCE_DIR}/src/geometry/"
                          )

target_link_libraries(visual_elements PUBLIC core geometry)

set_property(TARGET visual_elements PROPERTY FOLDER src)

set_target_properties( visual_elements PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 